--Each .1 is a 10nth of the sound bar. 0 Being nothing and 1 being full.
if maxVol == nil or 0 then
	maxVol = 0.5
end

--Get player class and variable.
local _, class = UnitClass("player")

--Sets the volume of the background sounds.
local function SetVolStealth(vol)
	SetCVar("Sound_MusicVolume", vol)
end

--Checks current buffs for a buff that matches "buffname".
local function BuffExists(buffname)
	for i = 1, 40 do
		local name = UnitBuff("player",i)

		if name == buffname then
			return true
		end

		if not name then return false end
	end
	return false
end

--Checks for Stealth/Vanish and Druid Prowl and set the volume.
local function onEvent(self, event)
	if (class == "ROGUE" or class == "DRUID") and maxVol ~= 0 then
		if(BuffExists("Stealth") or BuffExists("Vanish") or BuffExists("Prowl")) then
			SetVolStealth(maxVol)
		else
			SetVolStealth(maxVol)
		end
	end
end
	
--Create a function to detect if music is enable or disable and set the music depending on ingame player's setting.
local function ToggleMusic()
	if Music == "0" then
		--DEFAULT_CHAT_FRAME:AddMessage("Music = 0")
		SetCVar("Sound_EnableMusic", 0);
	else
		--DEFAULT_CHAT_FRAME:AddMessage("Music = 1")
		SetCVar("Sound_EnableMusic", 1);
	end
end

--Checks for Stealth/Vanish and Druid Prowl.
local function onEvent(self, event)
	if (class == "ROGUE" or class == "DRUID") and maxVol ~= 0 then
		if(BuffExists("Stealth") or BuffExists("Vanish") or BuffExists("Prowl")) then
			Music = GetCVar("Sound_EnableMusic");
			SetCVar("Sound_EnableMusic", 1);
			local musicfile = math.random(4);
			if musicfile == 1 then PlayMusic("Interface\\AddOns\\CoolStealth\\Sounds\\Mi-1.mp3");
				elseif musicfile == 2 then PlayMusic("Interface\\AddOns\\CoolStealth\\Sounds\\Mi-2.mp3");
				elseif musicfile == 3 then PlayMusic("Interface\\AddOns\\CoolStealth\\Sounds\\Mi-3.mp3");
				elseif musicfile == 4 then PlayMusic("Interface\\AddOns\\CoolStealth\\Sounds\\Jaws.mp3");
			end
		else
		StopMusic();
		ToggleMusic();
		end
	end
end

--Gets the addon going on startup and rechecks stealth(buffs) change.
local addon = CreateFrame('Frame')
addon:SetScript('OnEvent', onEvent)
addon:RegisterEvent('PLAYER_LOGIN')
addon:RegisterEvent("ADDON_LOADED")
addon:RegisterEvent('UPDATE_STEALTH')

SLASH_CS1 = "/cs"
SLASH_CS2 = "/coolstealth"

SlashCmdList["CS"] = function(str)
	num = tonumber(str)

	if num == nil or num > 1 or num < 0 or str == "" then
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Please enter a number inbetween 0 and 1. (/cs 0.1)")
	elseif num == 0 then
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Disabled. Enter a number higher than zero to enable.")
		SetCVar("Sound_MusicVolume", 0.0)
	else
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Volume set to "..num..".")
		SetCVar("Sound_MusicVolume", num)
		maxVol = num
	end
end

SlashCmdList["COOLSTEALTH"] = function(str)
	num = tonumber(str)

	if num == nil or num > 1 or num < 0 or str == "" then
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Please enter a number inbetween 0 and 1. (/cs 0.1)")
	elseif num == 0 then
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Disabled. Enter a number higher than zero to enable.")
		SetCVar("Sound_MusicVolume", 0.0)
	else
		DEFAULT_CHAT_FRAME:AddMessage("CoolStealth: Volume set to "..num..".")
		SetCVar("Sound_MusicVolume", num)
		maxVol = num
	end
end
